package com.huiju.estateagents.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.List;

/**
 * <p>
 * 二维码管理表
 * </p>
 *
 * @author fxf
 * @since 2020-05-20
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class TaQrcode implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * qr_code_id id
     */
    @TableId(value = "qr_code_id", type = IdType.AUTO)
    private Integer qrCodeId;

    /**
     * org_id
     */
    private Integer orgId;

    /**
     * building_id 关联项目ID
     */
    private String buildingId;

    /**
     * channel_id 渠道ID
     */
    private Integer channelId;

    /**
     * target_type 二维码类型
     */
    private String targetType;

    /**
     * target_name 二维码内容
     */
    private String targetName;

    /**
     * target_id
     */
    private String targetId;

    /**
     * qr_code_url 二维码地址
     */
    private String qrCodeUrl;

    /**
     * status 状态
     */
    private Integer status;

    /**
     * create_date 创建时间
     */
    private LocalDateTime createDate;

    /**
     * create_user 创建人
     */
    private Integer createUser;

    @TableField(exist = false)
    private List<TaQrcode> qrcodeList;

    /**
     * 楼盘名称
     */
    @TableField(exist = false)
    private String buildingName;

    /**
     * 渠道名称
     */
    @TableField(exist = false)
    private String channelName;
}
